commit c0746a1beb1ba073c7981eb09f55b3d993b32e5c
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Aug 25 00:16:57 2020 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index d0461daaefd..758e09d65f8 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200824
+20200825
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 4484d0b1433..c9b43bdf894 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,9 @@
+2020-08-24  Jason Merrill  <jason@redhat.com>
+
+	PR c++/95428
+	* optimize.c (populate_clone_array): Revert PR70462 change.
+	(maybe_clone_body): Likewise.
+
 2020-08-18  Jason Merrill  <jason@redhat.com>
 
 	PR c++/96199
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 1698c5580b5..e5d63d1d53f 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,15 @@
+2020-08-24  Jason Merrill  <jason@redhat.com>
+
+	* g++.dg/other/final8.C: Adjust expected output.
+
+2020-08-24  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	Backported from master:
+	2020-08-24  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	PR fortran/96486
+	* gfortran.dg/pr96486.f90: New test.
+
 2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	PR d/96250
diff --git a/libgfortran/ChangeLog b/libgfortran/ChangeLog
index 2aa54095648..f41e6e152e7 100644
--- a/libgfortran/ChangeLog
+++ b/libgfortran/ChangeLog
@@ -1,3 +1,12 @@
+2020-08-24  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	Backported from master:
+	2020-08-24  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	PR fortran/96486
+	* intrinsics/env.c: If value_len is > 0 blank the string.
+	Copy the result only if its length is > 0.
+
 2020-07-25  Dominique d'Humieres  <dhumieres.dominique@free.fr>
 
 	Backported from master:

